# 一部返金

一部返金のリクエストをユーザーに送信します。一部返金をサポートする返金プロセスと決済方法の詳細については、ドキュメンテーションを参照してください。


メモこのAPIメソッドはサンドボックスモードで呼び出すことができます。そのためには、リクエストの中でテスト用の決済データを渡します。サンドボックスモードのアクセス方法とテストシナリオの詳細については、説明を参照してください。





通知APIコールにproject_idパスパラメータが含まれていないため、会社の全プロジェクトで有効なAPIキーを使用して認可を設定する必要があります。

Endpoint: PUT /merchants/{merchant_id}/reports/transactions/{transaction_id}/partial_refund
Version: 2.0
Security: basicAuth

## Path parameters:

  - `merchant_id` (integer, required)
    マーチャントID。

  - `transaction_id` (integer, required)
    トランザクションID。

## Request fields (application/json):

  - `description` (string, required)
    返金の理由。

  - `refund_amount` (number, required)
    購入通貨での返金額。

## Response 404 fields (application/json):

  - `message` (string)
    指定されたIDのトランザクションは存在しません。決済クレデンシャルを確認してください。それ以外の場合は、support@xsolla.comまでエクソラサポートにご連絡ください。

## Response 422 fields (application/json):

  - `message` (string)
    返金できません

以下のいずれかのメッセージを返します：
- Partial refund is unavailable for operations with user balance.
- Requested transaction is partial refund and cannot be canceled.
- Partial refund is unavailable for subscription payments.
- Refund cannot be completed due to a payment system error. Please try again 
  later.
- Requested partial refund amount exceeds payment amount.
- Requested partial refund amount is less than minimum amount specified by 
  payment system.
- Payment amount after partial refund will be less than allowable amount 
  specified by payment system.
- Dispute for this invoice is already opened. Can’t make a refund yet.

現在の決済方法は、一部返金に対応していません

以下のいずれかのメッセージを返します：
- Current payment method does not support partial refunds.
- Current transaction status does not allow refunds.
- Deadline for refund is exceeded.
- Partial refund is unavailable because discount was applied during payment 
  creation.

間違い適合率のため、一部返金を実行できません

以下のメッセージを返します：
- Partial refund is unavailable because requested amount is specified with 
  incorrect precision for purchase currency.


## Response 204 fields

## Response 403 fields
